
#define CN0  0x03
#define CN1  0x07
#define CN2  0x0B
#define CN3  0x0F
#define CN4  0x13
#define CN5  0x17

#define Port_A        0x03
#define Port_B        0x02
#define Port_C        0x01
#define Port_C_Lower  0x04
#define Port_C_Higher 0x05


/*external  int IO_BASE;
  external  int DIO_NO;*/





_DIO144_Conf(unsigned char cnn_c, unsigned char pa_cw ,
	      unsigned char pb_cw ,unsigned char pcl_cw ,unsigned char pch_cw);

_DIO144_Output(unsigned char cnn_o , unsigned char port_o
					      , unsigned char data_o);

_DIO144_Init(unsigned int base_adr);
_DIO144_Input( unsigned char cnn_i , unsigned char port_i );
_DIO144_PC_High_Input( unsigned char cnn_h);
_DIO144_PC_Low_Input( unsigned char cnn_l);



